/*###################################################################*/
/*##                         GQmpeg 0.4.5                          ##*/
/*##    This software is Copyright (C) 1998, 1999 by John Ellis.   ##*/
/*## This software falls under the GNU Public License. Please read ##*/
/*##              the COPYING file for more information            ##*/
/*###################################################################*/

#include "gqmpeg.h"

#include "icon.xpm"

	/* main window widgets */
GtkWidget	*mainwindow;
GtkWidget	*display_area;
GtkWidget	*playlist_window;

GtkWidget	*main_menu;
GtkWidget	*dir_menu;
GtkWidget	*file_menu;
GtkWidget	*file_menu_list;
GtkWidget	*playlist_menu;

	/* variables */

SkinData *skin = NULL;
SkinData *skin_normal = NULL;
SkinData *skin_small = NULL;

	/* file lists */
GList		*filelist = NULL;
gint		filelist_count = 0;
GList		*dirlist = NULL;
gint		dirlist_count = 0;

	/* filtering */
gchar		filter[128] = "";
gint		FILTERING_DISABLE = 0;
gint		DOT_FILES = 0;
gint		FILTER_INCLUDE_MP3 = 1;
gint		FILTER_INCLUDE_GQMPEG = 1;

	/* playlist info */
GList		*playlist = NULL;
gint		playlist_count = 0;
gint		playlist_length = 0;
gint		playlist_pos = 0;
gint		playlist_song = -1;
gchar		*playlist_pathname = NULL;
gchar		*playlist_filename = NULL;
gint		playlist_changed = FALSE;

	/* song info */
gchar		*song_filename = NULL;
gchar		*song_path = NULL;
gint		frames = 0;
gint		frames_remaining = 0;
gint		seconds = 0;
gint		seconds_remaining = 0;
gchar		*song_title = NULL;
gint		mpeg_version = 0;
gint		mpeg_layer = 0;
gint		mpeg_mode = 0;
gint		mpeg_bitrate = 0;
gint		mpeg_channels = 0;
gint		mpeg_hz = 0;
gint		output_channels = 0;
gint		output_hz = 0;
gint		output_bits = 0;
gint		output_conversion = 0;

	/* id3 tags */
gchar		*id3_title = NULL;
gchar		*id3_artist = NULL;
gchar		*id3_album = NULL;
gchar		*id3_comment = NULL;
gchar		*id3_year = NULL;
gint		id3_genre = 0;


	/* mpg123 options */
gint		mpg123_buffer_enable = FALSE;
gint		mpg123_buffer = 512;
gint		mpg123_downsample = MPG123_DOWNSAMPLE_AUTO;
gint		mpg123_custom_sample_size = 44100;
gint		mpg123_mono = FALSE;
gint		mpg123_8bit = FALSE;
gint		mpg123_device_enable = FALSE;
gchar		*mpg123_device = NULL;

	/* options */
gint		initial_playlist_mode = PLAYLIST_MODE_SESSION;
gchar		*initial_playlist_pathname = NULL;
gint		initial_playlist_position = 0;
gint		initial_directory_enable = FALSE;
gchar		*initial_directory_path = NULL;
gint		show_playlist_on_startup = FALSE;
gint		start_playing_on_startup = FALSE;
gint		smart_window_placement = TRUE;
gint		read_id3_tags = FALSE;
gint		playlist_accounting = FALSE;
gint		remember_window_position = FALSE;
gint		window_pos_x = 0;
gint		window_pos_y = 0;
gint		alternate_skin = FALSE;
gint		wm_decorations = FALSE;

	/* miscellaneous */
gchar		*current_dir = NULL;
gchar		*current_file = NULL;
gchar		*current_path = NULL;
gchar 		*mixer_command = NULL;
gint		mixer_device_id = 0;

gint		status = STATUS_STOP;
gint		repeat_mode = FALSE;
gint		shuffle_mode = FALSE;
gint		save_mode_in_playlist = FALSE;
gint		obey_mode_in_playlist = FALSE;

gchar		*preset_name[10];
gchar		*preset_file[10];
gint		play_presets = TRUE;
gint		show_remaining_time = FALSE;

int		pid;

gint		new_song = FALSE;

gchar		*default_skin = NULL;

gint		pos_slider_in_drag = FALSE;

gint		show_extra_winamp_info = TRUE;
gint		double_size_mode = FALSE;

gint		debug_mode = FALSE;
gint		debug_skin = FALSE;

gchar		**gqmpeg_icon_xpm = icon_xpm;

gint		allow_ipc = TRUE;

/* end of globals */

void init_vars()
{
playlist_pathname = strdup("");
playlist_filename = strdup("Untitled.gqmpeg");
current_dir = strdup(".");
}
